Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Ogawa::ALEMBIC_VERSION_NS::IGroup Class Reference

## Classes
class | PrivateData

## Public Member Functions
IGroupPtr | getGroup (Alembic::Util::uint64_t iIndex, bool iLight, std::size_t iThreadIndex)
IDataPtr | getData (Alembic::Util::uint64_t iIndex, std::size_t iThreadIndex)
Alembic::Util::uint64_t | getNumChildren () const
bool | isChildGroup (Alembic::Util::uint64_t iIndex) const
bool | isChildData (Alembic::Util::uint64_t iIndex) const
bool | isEmptyChildGroup (Alembic::Util::uint64_t iIndex) const
bool | isEmptyChildData (Alembic::Util::uint64_t iIndex) const
bool | isLight () const

## Friends
class | IArchive

The documentation for this class was generated from the following files:

- Ogawa/IGroup.h
- Ogawa/IGroup.cpp